Get automation settings
curl --request GET \
--url https://app.keupera.com/api/v1/automation \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.keupera.com/api/v1/automation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.keupera.com/api/v1/automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"auto_generate": true,
"auto_publish": true,
"auto_plan_blog_posts": true,
"auto_plan_interval": "<string>",
"auto_promote": true,
"auto_youtube": true,
"track_bot_traffic": true
}
}{
"error": "Invalid or missing API key"
}Content
Get automation settings
Returns the content automation settings for a website.
GET
/
automation
Get automation settings
Authorizations
Pass your Keupera API key as a Bearer token: Authorization: Bearer YOUR_KEUPERA_API_KEY. Generate keys from Account → API Keys in your Keupera dashboard.
Query Parameters
Target website. Defaults to the website bound to your API key. Must belong to one of your organizations.
Response
Automation settings.
Show child attributes
Show child attributes
⌘I